package de.ivu.elect.business.hochrechnung.entity;

import org.apache.commons.math3.distribution.UniformRealDistribution;
import org.apache.commons.math3.random.RandomGenerator;

public class ParteiStimmenGleichverteilungGeneratorKonfiguration {

  private final UniformRealDistribution uniformDistribution;

  public ParteiStimmenGleichverteilungGeneratorKonfiguration(RandomGenerator randomGenerator) {
    this.uniformDistribution = new UniformRealDistribution(randomGenerator, 0d, 1d);
  }

  public UniformRealDistribution getUniformDistribution() {
    return uniformDistribution;
  }
}
